Amarok-pacman change of environment

Went to install the crippled (According to the pacman folks) version of Amarok via the Amarok-Pacman metapackage and got the following.

I’m running 64 bit. I did notice that if I clicked on one of the tabs in YAST that it offered 64bit and 586. X64 was selected.

Am I reading this right, in that it wants to remove all 64 bit libraries and swap them out with 32 bit?

Or, is it telling me that all the 64 bit libraries are forbidded?

What’s up? Please enlighten me.

Thanks.

amarok-1.4.10-100.pm.1.i586 requires libnjb.so.5, but this requirement cannot be
provided
uninstallable providers: libnjb5-2.2.6-46.1.i586[repo-oss]
] do not forbid installation of postgresql-libs-8.3.1-15.1.x86_64
] do not forbid installation of postgresql-libs-8.3.7-0.1.x86_64
] Following actions will be done:
architecture change of libnjb5-2.2.6-46.1.x86_64 to libnjb5-2.2.6-46.1.i586
architecture change of libifp4-1.0.0.2-0.pm.3.x86_64 to libifp4-1.0.0.2-0.pm.3.i
586
architecture change of libnjb-2.2.6-46.1.x86_64 to libnjb-2.2.6-46.1.i586
architecture change of libofa0-0.9.3-71.1.x86_64 to libofa0-0.9.3-71.1.i586
architecture change of libtunepimp5-mp4-0.5.3-100.pm.9.x86_64 to libtunepimp5-mp
4-0.5.3-100.pm.9.i586
architecture change of libtunepimp5-mad-0.5.3-100.pm.9.x86_64 to libtunepimp5-ma
d-0.5.3-100.pm.9.i586
architecture change of libtunepimp5-0.5.3-100.pm.9.x86_64 to libtunepimp5-0.5.3-
100.pm.9.i586
architecture change of libtunepimp-0.5.3-98.1.x86_64 to libtunepimp-0.5.3-100.pm
.9.i586
install libtunepimp-0.5.3-100.pm.9.i586 (with vendor change)

SUSE LINUX Products GmbH, Nuernberg, Germany

PackMan :: Startseite
architecture change of libmusicbrainz4-2.1.5-3.1.x86_64 to libmusicbrainz4-2.1.5
-3.1.i586
architecture change of libmpcdec5-1.2.6-5.1.x86_64 to libmpcdec5-1.2.6-5.1.i586
architecture change of k3b-1.0.5-0.pm.6.x86_64 to k3b-1.0.5-0.pm.7.i586
architecture change of k3b-arts-1.0.5-0.pm.6.x86_64 to k3b-arts-1.0.5-0.pm.7.i58
6
architecture change of k3b-codecs-1.0.5-0.pm.6.x86_64 to k3b-codecs-1.0.5-0.pm.7
.i586
architecture change of libavformat52-0.4.9.15866svn-20081117.pm.2304.x86_64 to l
ibavformat52-0.5.0.18666-1.1.i686
install libavformat52-0.5.0.18666-1.1.i686 (with vendor change)
packman.links2linux.de

VideoLAN Project (VideoLAN - Free and Open Source software and video streaming solutions for every OS!)
architecture change of fftw3-3.1.2-99.1.x86_64 to fftw3-3.1.2-142.pm.3.i586
install fftw3-3.1.2-142.pm.3.i586 (with vendor change)
SUSE LINUX Products GmbH, Nuernberg, Germany

PackMan :: Startseite
architecture change of kdemultimedia3-sound-3.5.9-44.pm.1.x86_64 to kdemultimedi
a3-sound-3.5.9-44.pm.1.i586
architecture change of libdc1394-22-2.0.0-6.1.x86_64 to libdc1394-22-2.0.0-6.1.i
586
architecture change of libgpod3-0.6.0-53.1.x86_64 to libgpod3-0.6.0-100.pm.1.i58
6
install libgpod3-0.6.0-100.pm.1.i586 (with vendor change)
SUSE LINUX Products GmbH, Nuernberg, Germany

packman.links2linux.de
architecture change of libmad0-0.15.1b-1.pm.5.x86_64 to libmad0-0.15.1b-1.pm.5.i
586
architecture change of libmp3lame0-3.98.2-1.1.x86_64 to libmp3lame0-3.98.2-1.1.i
686
replacement of libmp4v2-1.5.0.1-10.pm.0.x86_64 with libmp4v2-0-2.0-13.1.i686
architecture change of libx264-67-0.67-12.1.x86_64 to libx264-67-0.67-12.1.i686
architecture change of libxvidcore4-1.2.1-1.1.x86_64 to libxvidcore4-1.2.1-2.1.i
686
architecture change of ruby-1.8.6.p114-6.2.x86_64 to ruby-1.8.6.p114-6.2.i586
install libgpod-tools-0.7.0-100.pm.1.x86_64 (with vendor change)
SUSE LINUX Products GmbH, Nuernberg, Germany

architecture change of libx264-67-0.67-12.1.x86_64 to libx264-67-0.67-12.1.i686
architecture change of libxvidcore4-1.2.1-1.1.x86_64 to libxvidcore4-1.2.1-2.1.i
686
architecture change of ruby-1.8.6.p114-6.2.x86_64 to ruby-1.8.6.p114-6.2.i586
install libgpod-tools-0.7.0-100.pm.1.x86_64 (with vendor change)
SUSE LINUX Products GmbH, Nuernberg, Germany

packman.links2linux.de
architecture change of normalize-0.7.7-0.pm.4.x86_64 to normalize-0.7.7-0.pm.4.i
586
architecture change of AlephOne-20081226-0.pm.1.x86_64 to AlephOne-20081226-0.pm
.1.i586
architecture change of libsmpeg0-0.4.5-370.pm.svn20070614.x86_64 to libsmpeg0-0.
4.5-370.pm.svn20070614.i586
downgrade of SDL_net-1.2.7-99.1.x86_64 to SDL_net-1.2.7-3.2.i586
architecture change of SDL_net-1.2.7-99.1.x86_64 to SDL_net-1.2.7-3.2.i586
architecture change of SDL_ttf-2.0.9-134.1.x86_64 to SDL_ttf-2.0.9-134.1.i586
architecture change of Maelstrom-3.0.6-188.1.x86_64 to Maelstrom-3.0.6-188.1.i58
6 ] Ignore some dependencies of amarok
] do not install amarok-packman-1.4.10-100.pm.1.x86_64

YaST2 conflicts list END

] do not forbid installation of postgresql-libs-8.3.7-0.1.x86_64

Just find it and allow it to install? Do not block it?